package com.link.base.cachedt.service;

import com.link.core.util.redisclient.LinkRedisClient;
import java.util.List;
import java.util.Map;
import javax.validation.constraints.NotNull;

public interface CacheDTService {
   Map<String, String> queryDataUpdTimes(@NotNull List<String> key);

   void setCacheDataUpdateTime(@NotNull String updateKey, String time);

   void setCacheDataUpdateTime(@NotNull String updateKey, @NotNull LinkRedisClient redisClient, String time);

   void setCacheDataUpdateTime(@NotNull List<String> updateKey, String time);

   void setCacheDataUpdateTime(@NotNull List<String> updateKey, @NotNull LinkRedisClient redisClient, String time);

   void hsetCacheDataUpdTime(String updateKey, String field, LinkRedisClient redisClient, String time);

   void hsetCacheDataUpdTime(String updateKey, String field, String time);

   void hmsetCacheDataUpdateTime(String key, Map<String, String> fieldValue, LinkRedisClient redisClient);

   void hmsetCacheDataUpdateTime(String key, Map<String, String> fieldValue);

   Map<String, String> hqueryDataUpdTime(String key, String field);

   Map<String, String> hgetAllqueryUpdTime(List<String> key);
}
